Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-9041

AIX nim provider can't be used on a NIM master

    Details

    • Type: Improvement
    • Status: Needs Information
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Environment:

      Platform: AIX 7.2

    • Template:
    • Team:
      Puppet Romania
    • Sprint:
      PR - Triage
    • CS Priority:
      Reviewed

      Description

      When using a package resource and the nim provider, the resource cannot be applied to a NIM master.  The error received is:

      Error: Failed to apply catalog: Execution of '/usr/sbin/nimclient -o showres -a installp_flags=L -a resource=lpp_resource' returned 147:nimclient: this command may not be executed on a NIM master.

      This can be reproduced with a simple resource such as:

      package { $install_pkgs:
        ensure => latest,
        provider => nim,
      }

      On a NIM master you cannot use the nimclient command, the command would have to be:

      /usr/sbin/nim -o showres -a installp_flags=L lpp_resource

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  erik.hansen Erik Hansen
                • Votes:
                  1 Vote for this issue
                  Watchers:
                  5 Start watching this issue

                  Dates

                  • Created:
                    Updated: